<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_StaticDataRS StructType
 * @subpackage Structs
 */
class JP_StaticDataRS extends AbstractStructBase
{
    /**
     * The Errors
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ErrorType
     */
    public $Errors;
    /**
     * The Warnings
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Warnings
     */
    public $Warnings;
    /**
     * The Debugs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Debug
     */
    public $Debugs;
    /**
     * The CruiseStaticData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CruiseItemStaticData
     */
    public $CruiseStaticData;
    /**
     * The HotelStaticData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelItemStaticData
     */
    public $HotelStaticData;
    /**
     * The ZoneList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_Zone
     */
    public $ZoneList;
    /**
     * The CityList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CityComplex
     */
    public $CityList;
    /**
     * The FinalCustomerList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_FinalCustomerStaticData
     */
    public $FinalCustomerList;
    /**
     * The Customers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CustomerStaticData
     */
    public $Customers;
    /**
     * The AgencyList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_AgencyList
     */
    public $AgencyList;
    /**
     * The GenericDataCatalogue
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_GenericCatalogueItem
     */
    public $GenericDataCatalogue;
    /**
     * The HotelList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_HotelSimpleInfo
     */
    public $HotelList;
    /**
     * The ExtendedHotelList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ExtendedHotelInfo
     */
    public $ExtendedHotelList;
    /**
     * The PackageList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageList
     */
    public $PackageList;
    /**
     * The RentacarLocationList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RentacarLocationSimpleInfo
     */
    public $RentacarLocationList;
    /**
     * The PackageSearcher
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageSearcherRS
     */
    public $PackageSearcher;
    /**
     * The SupplierListRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ProductSupplier
     */
    public $SupplierListRS;
    /**
     * The ServiceStaticData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceItemStaticData
     */
    public $ServiceStaticData;
    /**
     * The ServicePortfolio
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServicePortfolio
     */
    public $ServicePortfolio;
    /**
     * The TransferStaticData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_TransferItemStaticData
     */
    public $TransferStaticData;
    /**
     * The FlightStaticData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightItemStaticData
     */
    public $FlightStaticData;
    /**
     * The VisaStaticData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_VisaItemStaticData
     */
    public $VisaStaticData;
    /**
     * The MeetingPointList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_MeetingPointList
     */
    public $MeetingPointList;
    /**
     * The MeetingHotelsPointList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_MeetingHotelsPointList
     */
    public $MeetingHotelsPointList;
    /**
     * The PackageCalendarPrice
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_PackageCalendarPriceItems
     */
    public $PackageCalendarPrice;
    /**
     * The HotelPortfolio
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelPortfolio
     */
    public $HotelPortfolio;
    /**
     * The RoomList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RoomList
     */
    public $RoomList;
    /**
     * The UserPermissions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_UserPermission
     */
    public $UserPermissions;
    /**
     * The ZoneInfolist
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ZoneInfo
     */
    public $ZoneInfolist;
    /**
     * The AccommodationPortfolio
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_AccommodationPortfolio
     */
    public $AccommodationPortfolio;
    /**
     * The Url
     * @var string
     */
    public $Url;
    /**
     * The TimeStamp
     * @var string
     */
    public $TimeStamp;
    /**
     * The IntCode
     * @var string
     */
    public $IntCode;
    /**
     * Constructor method for JP_StaticDataRS
     * @uses JP_StaticDataRS::setErrors()
     * @uses JP_StaticDataRS::setWarnings()
     * @uses JP_StaticDataRS::setDebugs()
     * @uses JP_StaticDataRS::setCruiseStaticData()
     * @uses JP_StaticDataRS::setHotelStaticData()
     * @uses JP_StaticDataRS::setZoneList()
     * @uses JP_StaticDataRS::setCityList()
     * @uses JP_StaticDataRS::setFinalCustomerList()
     * @uses JP_StaticDataRS::setCustomers()
     * @uses JP_StaticDataRS::setAgencyList()
     * @uses JP_StaticDataRS::setGenericDataCatalogue()
     * @uses JP_StaticDataRS::setHotelList()
     * @uses JP_StaticDataRS::setExtendedHotelList()
     * @uses JP_StaticDataRS::setPackageList()
     * @uses JP_StaticDataRS::setRentacarLocationList()
     * @uses JP_StaticDataRS::setPackageSearcher()
     * @uses JP_StaticDataRS::setSupplierListRS()
     * @uses JP_StaticDataRS::setServiceStaticData()
     * @uses JP_StaticDataRS::setServicePortfolio()
     * @uses JP_StaticDataRS::setTransferStaticData()
     * @uses JP_StaticDataRS::setFlightStaticData()
     * @uses JP_StaticDataRS::setVisaStaticData()
     * @uses JP_StaticDataRS::setMeetingPointList()
     * @uses JP_StaticDataRS::setMeetingHotelsPointList()
     * @uses JP_StaticDataRS::setPackageCalendarPrice()
     * @uses JP_StaticDataRS::setHotelPortfolio()
     * @uses JP_StaticDataRS::setRoomList()
     * @uses JP_StaticDataRS::setUserPermissions()
     * @uses JP_StaticDataRS::setZoneInfolist()
     * @uses JP_StaticDataRS::setAccommodationPortfolio()
     * @uses JP_StaticDataRS::setUrl()
     * @uses JP_StaticDataRS::setTimeStamp()
     * @uses JP_StaticDataRS::setIntCode()
     * @param \ArrayType\ArrayOfJP_ErrorType $errors
     * @param \StructType\JP_Warnings $warnings
     * @param \ArrayType\ArrayOfJP_Debug $debugs
     * @param \StructType\JP_CruiseItemStaticData $cruiseStaticData
     * @param \StructType\JP_HotelItemStaticData $hotelStaticData
     * @param \ArrayType\ArrayOfJP_Zone $zoneList
     * @param \ArrayType\ArrayOfJP_CityComplex $cityList
     * @param \ArrayType\ArrayOfJP_FinalCustomerStaticData $finalCustomerList
     * @param \ArrayType\ArrayOfJP_CustomerStaticData $customers
     * @param \StructType\JP_AgencyList $agencyList
     * @param \ArrayType\ArrayOfJP_GenericCatalogueItem $genericDataCatalogue
     * @param \ArrayType\ArrayOfJP_HotelSimpleInfo $hotelList
     * @param \ArrayType\ArrayOfJP_ExtendedHotelInfo $extendedHotelList
     * @param \StructType\JP_PackageList $packageList
     * @param \ArrayType\ArrayOfJP_RentacarLocationSimpleInfo $rentacarLocationList
     * @param \StructType\JP_PackageSearcherRS $packageSearcher
     * @param \ArrayType\ArrayOfJP_ProductSupplier $supplierListRS
     * @param \StructType\JP_ServiceItemStaticData $serviceStaticData
     * @param \StructType\JP_ServicePortfolio $servicePortfolio
     * @param \StructType\JP_TransferItemStaticData $transferStaticData
     * @param \StructType\JP_FlightItemStaticData $flightStaticData
     * @param \StructType\JP_VisaItemStaticData $visaStaticData
     * @param \StructType\JP_MeetingPointList $meetingPointList
     * @param \StructType\JP_MeetingHotelsPointList $meetingHotelsPointList
     * @param \ArrayType\ArrayOfJP_PackageCalendarPriceItems $packageCalendarPrice
     * @param \StructType\JP_HotelPortfolio $hotelPortfolio
     * @param \StructType\JP_RoomList $roomList
     * @param \ArrayType\ArrayOfJP_UserPermission $userPermissions
     * @param \ArrayType\ArrayOfJP_ZoneInfo $zoneInfolist
     * @param \StructType\JP_AccommodationPortfolio $accommodationPortfolio
     * @param string $url
     * @param string $timeStamp
     * @param string $intCode
     */
    public function __construct(\ArrayType\ArrayOfJP_ErrorType $errors = null, \StructType\JP_Warnings $warnings = null, \ArrayType\ArrayOfJP_Debug $debugs = null, \StructType\JP_CruiseItemStaticData $cruiseStaticData = null, \StructType\JP_HotelItemStaticData $hotelStaticData = null, \ArrayType\ArrayOfJP_Zone $zoneList = null, \ArrayType\ArrayOfJP_CityComplex $cityList = null, \ArrayType\ArrayOfJP_FinalCustomerStaticData $finalCustomerList = null, \ArrayType\ArrayOfJP_CustomerStaticData $customers = null, \StructType\JP_AgencyList $agencyList = null, \ArrayType\ArrayOfJP_GenericCatalogueItem $genericDataCatalogue = null, \ArrayType\ArrayOfJP_HotelSimpleInfo $hotelList = null, \ArrayType\ArrayOfJP_ExtendedHotelInfo $extendedHotelList = null, \StructType\JP_PackageList $packageList = null, \ArrayType\ArrayOfJP_RentacarLocationSimpleInfo $rentacarLocationList = null, \StructType\JP_PackageSearcherRS $packageSearcher = null, \ArrayType\ArrayOfJP_ProductSupplier $supplierListRS = null, \StructType\JP_ServiceItemStaticData $serviceStaticData = null, \StructType\JP_ServicePortfolio $servicePortfolio = null, \StructType\JP_TransferItemStaticData $transferStaticData = null, \StructType\JP_FlightItemStaticData $flightStaticData = null, \StructType\JP_VisaItemStaticData $visaStaticData = null, \StructType\JP_MeetingPointList $meetingPointList = null, \StructType\JP_MeetingHotelsPointList $meetingHotelsPointList = null, \ArrayType\ArrayOfJP_PackageCalendarPriceItems $packageCalendarPrice = null, \StructType\JP_HotelPortfolio $hotelPortfolio = null, \StructType\JP_RoomList $roomList = null, \ArrayType\ArrayOfJP_UserPermission $userPermissions = null, \ArrayType\ArrayOfJP_ZoneInfo $zoneInfolist = null, \StructType\JP_AccommodationPortfolio $accommodationPortfolio = null, $url = null, $timeStamp = null, $intCode = null)
    {
        $this
            ->setErrors($errors)
            ->setWarnings($warnings)
            ->setDebugs($debugs)
            ->setCruiseStaticData($cruiseStaticData)
            ->setHotelStaticData($hotelStaticData)
            ->setZoneList($zoneList)
            ->setCityList($cityList)
            ->setFinalCustomerList($finalCustomerList)
            ->setCustomers($customers)
            ->setAgencyList($agencyList)
            ->setGenericDataCatalogue($genericDataCatalogue)
            ->setHotelList($hotelList)
            ->setExtendedHotelList($extendedHotelList)
            ->setPackageList($packageList)
            ->setRentacarLocationList($rentacarLocationList)
            ->setPackageSearcher($packageSearcher)
            ->setSupplierListRS($supplierListRS)
            ->setServiceStaticData($serviceStaticData)
            ->setServicePortfolio($servicePortfolio)
            ->setTransferStaticData($transferStaticData)
            ->setFlightStaticData($flightStaticData)
            ->setVisaStaticData($visaStaticData)
            ->setMeetingPointList($meetingPointList)
            ->setMeetingHotelsPointList($meetingHotelsPointList)
            ->setPackageCalendarPrice($packageCalendarPrice)
            ->setHotelPortfolio($hotelPortfolio)
            ->setRoomList($roomList)
            ->setUserPermissions($userPermissions)
            ->setZoneInfolist($zoneInfolist)
            ->setAccommodationPortfolio($accommodationPortfolio)
            ->setUrl($url)
            ->setTimeStamp($timeStamp)
            ->setIntCode($intCode);
    }
    /**
     * Get Errors value
     * @return \ArrayType\ArrayOfJP_ErrorType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \ArrayType\ArrayOfJP_ErrorType $errors
     * @return \StructType\JP_StaticDataRS
     */
    public function setErrors(\ArrayType\ArrayOfJP_ErrorType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Get Warnings value
     * @return \StructType\JP_Warnings|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \StructType\JP_Warnings $warnings
     * @return \StructType\JP_StaticDataRS
     */
    public function setWarnings(\StructType\JP_Warnings $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Get Debugs value
     * @return \ArrayType\ArrayOfJP_Debug|null
     */
    public function getDebugs()
    {
        return $this->Debugs;
    }
    /**
     * Set Debugs value
     * @param \ArrayType\ArrayOfJP_Debug $debugs
     * @return \StructType\JP_StaticDataRS
     */
    public function setDebugs(\ArrayType\ArrayOfJP_Debug $debugs = null)
    {
        $this->Debugs = $debugs;
        return $this;
    }
    /**
     * Get CruiseStaticData value
     * @return \StructType\JP_CruiseItemStaticData|null
     */
    public function getCruiseStaticData()
    {
        return $this->CruiseStaticData;
    }
    /**
     * Set CruiseStaticData value
     * @param \StructType\JP_CruiseItemStaticData $cruiseStaticData
     * @return \StructType\JP_StaticDataRS
     */
    public function setCruiseStaticData(\StructType\JP_CruiseItemStaticData $cruiseStaticData = null)
    {
        $this->CruiseStaticData = $cruiseStaticData;
        return $this;
    }
    /**
     * Get HotelStaticData value
     * @return \StructType\JP_HotelItemStaticData|null
     */
    public function getHotelStaticData()
    {
        return $this->HotelStaticData;
    }
    /**
     * Set HotelStaticData value
     * @param \StructType\JP_HotelItemStaticData $hotelStaticData
     * @return \StructType\JP_StaticDataRS
     */
    public function setHotelStaticData(\StructType\JP_HotelItemStaticData $hotelStaticData = null)
    {
        $this->HotelStaticData = $hotelStaticData;
        return $this;
    }
    /**
     * Get ZoneList value
     * @return \ArrayType\ArrayOfJP_Zone|null
     */
    public function getZoneList()
    {
        return $this->ZoneList;
    }
    /**
     * Set ZoneList value
     * @param \ArrayType\ArrayOfJP_Zone $zoneList
     * @return \StructType\JP_StaticDataRS
     */
    public function setZoneList(\ArrayType\ArrayOfJP_Zone $zoneList = null)
    {
        $this->ZoneList = $zoneList;
        return $this;
    }
    /**
     * Get CityList value
     * @return \ArrayType\ArrayOfJP_CityComplex|null
     */
    public function getCityList()
    {
        return $this->CityList;
    }
    /**
     * Set CityList value
     * @param \ArrayType\ArrayOfJP_CityComplex $cityList
     * @return \StructType\JP_StaticDataRS
     */
    public function setCityList(\ArrayType\ArrayOfJP_CityComplex $cityList = null)
    {
        $this->CityList = $cityList;
        return $this;
    }
    /**
     * Get FinalCustomerList value
     * @return \ArrayType\ArrayOfJP_FinalCustomerStaticData|null
     */
    public function getFinalCustomerList()
    {
        return $this->FinalCustomerList;
    }
    /**
     * Set FinalCustomerList value
     * @param \ArrayType\ArrayOfJP_FinalCustomerStaticData $finalCustomerList
     * @return \StructType\JP_StaticDataRS
     */
    public function setFinalCustomerList(\ArrayType\ArrayOfJP_FinalCustomerStaticData $finalCustomerList = null)
    {
        $this->FinalCustomerList = $finalCustomerList;
        return $this;
    }
    /**
     * Get Customers value
     * @return \ArrayType\ArrayOfJP_CustomerStaticData|null
     */
    public function getCustomers()
    {
        return $this->Customers;
    }
    /**
     * Set Customers value
     * @param \ArrayType\ArrayOfJP_CustomerStaticData $customers
     * @return \StructType\JP_StaticDataRS
     */
    public function setCustomers(\ArrayType\ArrayOfJP_CustomerStaticData $customers = null)
    {
        $this->Customers = $customers;
        return $this;
    }
    /**
     * Get AgencyList value
     * @return \StructType\JP_AgencyList|null
     */
    public function getAgencyList()
    {
        return $this->AgencyList;
    }
    /**
     * Set AgencyList value
     * @param \StructType\JP_AgencyList $agencyList
     * @return \StructType\JP_StaticDataRS
     */
    public function setAgencyList(\StructType\JP_AgencyList $agencyList = null)
    {
        $this->AgencyList = $agencyList;
        return $this;
    }
    /**
     * Get GenericDataCatalogue value
     * @return \ArrayType\ArrayOfJP_GenericCatalogueItem|null
     */
    public function getGenericDataCatalogue()
    {
        return $this->GenericDataCatalogue;
    }
    /**
     * Set GenericDataCatalogue value
     * @param \ArrayType\ArrayOfJP_GenericCatalogueItem $genericDataCatalogue
     * @return \StructType\JP_StaticDataRS
     */
    public function setGenericDataCatalogue(\ArrayType\ArrayOfJP_GenericCatalogueItem $genericDataCatalogue = null)
    {
        $this->GenericDataCatalogue = $genericDataCatalogue;
        return $this;
    }
    /**
     * Get HotelList value
     * @return \ArrayType\ArrayOfJP_HotelSimpleInfo|null
     */
    public function getHotelList()
    {
        return $this->HotelList;
    }
    /**
     * Set HotelList value
     * @param \ArrayType\ArrayOfJP_HotelSimpleInfo $hotelList
     * @return \StructType\JP_StaticDataRS
     */
    public function setHotelList(\ArrayType\ArrayOfJP_HotelSimpleInfo $hotelList = null)
    {
        $this->HotelList = $hotelList;
        return $this;
    }
    /**
     * Get ExtendedHotelList value
     * @return \ArrayType\ArrayOfJP_ExtendedHotelInfo|null
     */
    public function getExtendedHotelList()
    {
        return $this->ExtendedHotelList;
    }
    /**
     * Set ExtendedHotelList value
     * @param \ArrayType\ArrayOfJP_ExtendedHotelInfo $extendedHotelList
     * @return \StructType\JP_StaticDataRS
     */
    public function setExtendedHotelList(\ArrayType\ArrayOfJP_ExtendedHotelInfo $extendedHotelList = null)
    {
        $this->ExtendedHotelList = $extendedHotelList;
        return $this;
    }
    /**
     * Get PackageList value
     * @return \StructType\JP_PackageList|null
     */
    public function getPackageList()
    {
        return $this->PackageList;
    }
    /**
     * Set PackageList value
     * @param \StructType\JP_PackageList $packageList
     * @return \StructType\JP_StaticDataRS
     */
    public function setPackageList(\StructType\JP_PackageList $packageList = null)
    {
        $this->PackageList = $packageList;
        return $this;
    }
    /**
     * Get RentacarLocationList value
     * @return \ArrayType\ArrayOfJP_RentacarLocationSimpleInfo|null
     */
    public function getRentacarLocationList()
    {
        return $this->RentacarLocationList;
    }
    /**
     * Set RentacarLocationList value
     * @param \ArrayType\ArrayOfJP_RentacarLocationSimpleInfo $rentacarLocationList
     * @return \StructType\JP_StaticDataRS
     */
    public function setRentacarLocationList(\ArrayType\ArrayOfJP_RentacarLocationSimpleInfo $rentacarLocationList = null)
    {
        $this->RentacarLocationList = $rentacarLocationList;
        return $this;
    }
    /**
     * Get PackageSearcher value
     * @return \StructType\JP_PackageSearcherRS|null
     */
    public function getPackageSearcher()
    {
        return $this->PackageSearcher;
    }
    /**
     * Set PackageSearcher value
     * @param \StructType\JP_PackageSearcherRS $packageSearcher
     * @return \StructType\JP_StaticDataRS
     */
    public function setPackageSearcher(\StructType\JP_PackageSearcherRS $packageSearcher = null)
    {
        $this->PackageSearcher = $packageSearcher;
        return $this;
    }
    /**
     * Get SupplierListRS value
     * @return \ArrayType\ArrayOfJP_ProductSupplier|null
     */
    public function getSupplierListRS()
    {
        return $this->SupplierListRS;
    }
    /**
     * Set SupplierListRS value
     * @param \ArrayType\ArrayOfJP_ProductSupplier $supplierListRS
     * @return \StructType\JP_StaticDataRS
     */
    public function setSupplierListRS(\ArrayType\ArrayOfJP_ProductSupplier $supplierListRS = null)
    {
        $this->SupplierListRS = $supplierListRS;
        return $this;
    }
    /**
     * Get ServiceStaticData value
     * @return \StructType\JP_ServiceItemStaticData|null
     */
    public function getServiceStaticData()
    {
        return $this->ServiceStaticData;
    }
    /**
     * Set ServiceStaticData value
     * @param \StructType\JP_ServiceItemStaticData $serviceStaticData
     * @return \StructType\JP_StaticDataRS
     */
    public function setServiceStaticData(\StructType\JP_ServiceItemStaticData $serviceStaticData = null)
    {
        $this->ServiceStaticData = $serviceStaticData;
        return $this;
    }
    /**
     * Get ServicePortfolio value
     * @return \StructType\JP_ServicePortfolio|null
     */
    public function getServicePortfolio()
    {
        return $this->ServicePortfolio;
    }
    /**
     * Set ServicePortfolio value
     * @param \StructType\JP_ServicePortfolio $servicePortfolio
     * @return \StructType\JP_StaticDataRS
     */
    public function setServicePortfolio(\StructType\JP_ServicePortfolio $servicePortfolio = null)
    {
        $this->ServicePortfolio = $servicePortfolio;
        return $this;
    }
    /**
     * Get TransferStaticData value
     * @return \StructType\JP_TransferItemStaticData|null
     */
    public function getTransferStaticData()
    {
        return $this->TransferStaticData;
    }
    /**
     * Set TransferStaticData value
     * @param \StructType\JP_TransferItemStaticData $transferStaticData
     * @return \StructType\JP_StaticDataRS
     */
    public function setTransferStaticData(\StructType\JP_TransferItemStaticData $transferStaticData = null)
    {
        $this->TransferStaticData = $transferStaticData;
        return $this;
    }
    /**
     * Get FlightStaticData value
     * @return \StructType\JP_FlightItemStaticData|null
     */
    public function getFlightStaticData()
    {
        return $this->FlightStaticData;
    }
    /**
     * Set FlightStaticData value
     * @param \StructType\JP_FlightItemStaticData $flightStaticData
     * @return \StructType\JP_StaticDataRS
     */
    public function setFlightStaticData(\StructType\JP_FlightItemStaticData $flightStaticData = null)
    {
        $this->FlightStaticData = $flightStaticData;
        return $this;
    }
    /**
     * Get VisaStaticData value
     * @return \StructType\JP_VisaItemStaticData|null
     */
    public function getVisaStaticData()
    {
        return $this->VisaStaticData;
    }
    /**
     * Set VisaStaticData value
     * @param \StructType\JP_VisaItemStaticData $visaStaticData
     * @return \StructType\JP_StaticDataRS
     */
    public function setVisaStaticData(\StructType\JP_VisaItemStaticData $visaStaticData = null)
    {
        $this->VisaStaticData = $visaStaticData;
        return $this;
    }
    /**
     * Get MeetingPointList value
     * @return \StructType\JP_MeetingPointList|null
     */
    public function getMeetingPointList()
    {
        return $this->MeetingPointList;
    }
    /**
     * Set MeetingPointList value
     * @param \StructType\JP_MeetingPointList $meetingPointList
     * @return \StructType\JP_StaticDataRS
     */
    public function setMeetingPointList(\StructType\JP_MeetingPointList $meetingPointList = null)
    {
        $this->MeetingPointList = $meetingPointList;
        return $this;
    }
    /**
     * Get MeetingHotelsPointList value
     * @return \StructType\JP_MeetingHotelsPointList|null
     */
    public function getMeetingHotelsPointList()
    {
        return $this->MeetingHotelsPointList;
    }
    /**
     * Set MeetingHotelsPointList value
     * @param \StructType\JP_MeetingHotelsPointList $meetingHotelsPointList
     * @return \StructType\JP_StaticDataRS
     */
    public function setMeetingHotelsPointList(\StructType\JP_MeetingHotelsPointList $meetingHotelsPointList = null)
    {
        $this->MeetingHotelsPointList = $meetingHotelsPointList;
        return $this;
    }
    /**
     * Get PackageCalendarPrice value
     * @return \ArrayType\ArrayOfJP_PackageCalendarPriceItems|null
     */
    public function getPackageCalendarPrice()
    {
        return $this->PackageCalendarPrice;
    }
    /**
     * Set PackageCalendarPrice value
     * @param \ArrayType\ArrayOfJP_PackageCalendarPriceItems $packageCalendarPrice
     * @return \StructType\JP_StaticDataRS
     */
    public function setPackageCalendarPrice(\ArrayType\ArrayOfJP_PackageCalendarPriceItems $packageCalendarPrice = null)
    {
        $this->PackageCalendarPrice = $packageCalendarPrice;
        return $this;
    }
    /**
     * Get HotelPortfolio value
     * @return \StructType\JP_HotelPortfolio|null
     */
    public function getHotelPortfolio()
    {
        return $this->HotelPortfolio;
    }
    /**
     * Set HotelPortfolio value
     * @param \StructType\JP_HotelPortfolio $hotelPortfolio
     * @return \StructType\JP_StaticDataRS
     */
    public function setHotelPortfolio(\StructType\JP_HotelPortfolio $hotelPortfolio = null)
    {
        $this->HotelPortfolio = $hotelPortfolio;
        return $this;
    }
    /**
     * Get RoomList value
     * @return \StructType\JP_RoomList|null
     */
    public function getRoomList()
    {
        return $this->RoomList;
    }
    /**
     * Set RoomList value
     * @param \StructType\JP_RoomList $roomList
     * @return \StructType\JP_StaticDataRS
     */
    public function setRoomList(\StructType\JP_RoomList $roomList = null)
    {
        $this->RoomList = $roomList;
        return $this;
    }
    /**
     * Get UserPermissions value
     * @return \ArrayType\ArrayOfJP_UserPermission|null
     */
    public function getUserPermissions()
    {
        return $this->UserPermissions;
    }
    /**
     * Set UserPermissions value
     * @param \ArrayType\ArrayOfJP_UserPermission $userPermissions
     * @return \StructType\JP_StaticDataRS
     */
    public function setUserPermissions(\ArrayType\ArrayOfJP_UserPermission $userPermissions = null)
    {
        $this->UserPermissions = $userPermissions;
        return $this;
    }
    /**
     * Get ZoneInfolist value
     * @return \ArrayType\ArrayOfJP_ZoneInfo|null
     */
    public function getZoneInfolist()
    {
        return $this->ZoneInfolist;
    }
    /**
     * Set ZoneInfolist value
     * @param \ArrayType\ArrayOfJP_ZoneInfo $zoneInfolist
     * @return \StructType\JP_StaticDataRS
     */
    public function setZoneInfolist(\ArrayType\ArrayOfJP_ZoneInfo $zoneInfolist = null)
    {
        $this->ZoneInfolist = $zoneInfolist;
        return $this;
    }
    /**
     * Get AccommodationPortfolio value
     * @return \StructType\JP_AccommodationPortfolio|null
     */
    public function getAccommodationPortfolio()
    {
        return $this->AccommodationPortfolio;
    }
    /**
     * Set AccommodationPortfolio value
     * @param \StructType\JP_AccommodationPortfolio $accommodationPortfolio
     * @return \StructType\JP_StaticDataRS
     */
    public function setAccommodationPortfolio(\StructType\JP_AccommodationPortfolio $accommodationPortfolio = null)
    {
        $this->AccommodationPortfolio = $accommodationPortfolio;
        return $this;
    }
    /**
     * Get Url value
     * @return string|null
     */
    public function getUrl()
    {
        return $this->Url;
    }
    /**
     * Set Url value
     * @param string $url
     * @return \StructType\JP_StaticDataRS
     */
    public function setUrl($url = null)
    {
        // validation for constraint: string
        if (!is_null($url) && !is_string($url)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($url, true), gettype($url)), __LINE__);
        }
        $this->Url = $url;
        return $this;
    }
    /**
     * Get TimeStamp value
     * @return string|null
     */
    public function getTimeStamp()
    {
        return $this->TimeStamp;
    }
    /**
     * Set TimeStamp value
     * @param string $timeStamp
     * @return \StructType\JP_StaticDataRS
     */
    public function setTimeStamp($timeStamp = null)
    {
        // validation for constraint: string
        if (!is_null($timeStamp) && !is_string($timeStamp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($timeStamp, true), gettype($timeStamp)), __LINE__);
        }
        $this->TimeStamp = $timeStamp;
        return $this;
    }
    /**
     * Get IntCode value
     * @return string|null
     */
    public function getIntCode()
    {
        return $this->IntCode;
    }
    /**
     * Set IntCode value
     * @param string $intCode
     * @return \StructType\JP_StaticDataRS
     */
    public function setIntCode($intCode = null)
    {
        // validation for constraint: string
        if (!is_null($intCode) && !is_string($intCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($intCode, true), gettype($intCode)), __LINE__);
        }
        $this->IntCode = $intCode;
        return $this;
    }
}
